<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta http-equiv="Content-Language" content="gb2312">
<meta name=keywords content="{$Meta_Keywords}">
<meta name="description" content="{$Meta_Description}">
<link rel="SHORTCUT ICON" href="{$InstallDir}images/favicon.ico">
<link rel="Bookmark" href="{$InstallDir}images/favicon.ico">
<link href="{$InstallDir}Skins/{$SkinDir}/skins/_g.css" type="text/css" rel="stylesheet" />
<link href="{$InstallDir}Skins/{$SkinDir}/skins/other.css" type="text/css" rel="stylesheet" />
<link href="{$InstallDir}Skins/{$SkinDir}/skins/style.css" type="text/css" rel="stylesheet" />
<Script language="JavaScript" Src="{$InstallDir}Inc/Site.Js"></Script>
<script type="text/javascript" src="{$InstallDir}Skins/{$SkinDir}/js/jquery.js"></script>
<link id="themecss" rel="stylesheet" rev="stylesheet" href="/Skins/DG13/skins/theme/theme1.css" type="text/css">
<script>loadss();</script>
<title>找回密码 - {$SiteTitle}</title>
<script language="JavaScript">
function rPassWord(str){
  if( str =="" || str.length<{$PassLeast} || str.length>{$PassMost}) {  
    PassWord.innerHTML = "<font color=red><strong>密码长度必须为 {$PassLeast}-{$PassMost} 字符。</strong></font>";
    document.addform.PassWord.focus();
    document.addform.PassWord.select();
    return false;  
  } 
  if( str == addform.UserName.value) {  
    PassWord.innerHTML = "<font color=red><strong>密码不能与登录用户名相同。</strong></font>";
    document.addform.PassWord.focus();
    document.addform.PassWord.select();
    return false;  
  }  
  PassWord.innerHTML = "密码可以使用";
}
function rPass(str){
  if(str =="") {  
    Pass.innerHTML = "<font color=red><strong>请重复输入密码。</strong></font>";
    document.addform.Pass.focus();
    document.addform.Pass.select();
    return false;  
  }
  if(addform.PassWord.value != str) {  
    Pass.innerHTML = "<font color=red><strong>两次输入的密码不一致。</strong></font>";
    document.addform.Pass.focus();
    document.addform.Pass.select();
    return false;  
  }
  Pass.innerHTML = "确认密码正确";
}
function ClickSubmit(){
  var Msg = "";
  if (document.addform.PassWord.value =="" || document.addform.PassWord.value.length<{$PassLeast} || document.addform.PassWord.value.length>{$PassMost} || document.addform.PassWord.value==document.addform.UserName.value){
    PassWord.innerHTML = "<font color=red><strong>密码长度必须为 {$PassLeast}-{$PassMost} 字符且不能和用户名相同。</strong></font>";
    Msg = "Err";
  }
  if (document.addform.Pass.value == "" || document.addform.PassWord.value != document.addform.Pass.value){
    Pass.innerHTML = "<font color=red><strong>请重复输入密码且和登录密码一至。</strong></font>";
    Msg = "Err";
  }
  if ( Msg != ""){
	return false;
  }else{
    addform.submit();
  }
}
function get_Code(){
document.getElementById("imgurl").src='{$InstallDir}inc/{$CodePlan}.asp?'+Math.random()
}
</script>
</head>
<body class="home-page" bgcolor="#e6e6e6">
{$My_其它头部}
<div style="text-align:left">
<table width="780px" border="0" cellspacing="0" cellpadding="0" align="center" class=Table>
  <tr>
    <td height="300px">
        <table width="40%" border=0 cellspacing=5 cellpadding=0 align=center class=RegTD>  
        <form name="addform" method="post" action="">
		<input name="Action" type="hidden" value="PassFour">
		<input name="UserName" type="hidden" value="{$User}">   
		<input name="Question" type="hidden" value="{$Question}">   
		<input name="Answer" type="hidden" value="{$Answer}">   
        <tr><td align=right width="35%" valign=top>新密码：</td><td width="65%" class=Remark><input name="PassWord" maxlength={$PassMost} type="password" style="width:166px;height:16px" onKeyUp="pwStrength(this.value)" onChange="javascript:rPassWord(this.value)">
        <table width="140px" border="0" cellspacing="0" cellpadding="0">
          <tr align="center" bgcolor="#eeeeee"> 
            <td width="50px" bgcolor="#ffffff">安全性</td>
            <td width="30px" id="strength_L">弱</td>
            <td width="30px" id="strength_M">中</td>
            <td width="30px" id="strength_H">强</td>
          </tr>
        </table>
        <span id=PassWord>由 {$PassLeast}-{$PassMost} 个字符组成，注意区分大小写，且不能与用户名相同。</span></td></tr>   
        <tr><td align=right>确认新密码：</td><td class=Remark><input name="Pass" type="password" maxlength={$PassMost} style="width:166px;height:16px" onChange="javascript:rPass(this.value)"><br><span id=Pass>再次确认您的密码。</span></td></tr>   
        <tr {$IDCode}><td align=right>验 证 码：</td><td><input type="text" name=Code maxlength=6 style="width:80px" onfocus="get_Code()"> <img src={$InstallDir}Skins/{$SkinDir}/code.gif id=imgurl align=absmiddle style='cursor:pointer' alt='验证码看不清楚?请点击刷新验证码' onclick="this.src='inc/{$CodePlan}.asp?'+Math.random()"></td></tr>  
        <tr><td></td><td><input type="button" name="Submit" value=" 下一步 " onClick="ClickSubmit();"></td></tr>   
        </form>   
        </table> 
	</td>
  </tr>
</table>
</div>
{$My_Bottom}
</body> 
</html> 